Subject: Re: [PATCH 6/7] bonding: Add priv_flag to avoid event mishandling

From: Pawel Foremski <[email-masked]>
Date: Mon, 04 Sep 2006 10:12:24 +0200

Jay Vosburgh wrote:
> Add priv_flag to specifically identify bonding-involved devices.  Needed
> because IFF_MASTER is an unreliable identifier (vlan interfaces above
> bonding will inherit IFF_MASTER).  Misidentification of devices would 
> cause notifier events for other devices to be erroneously processed by 
> bonding, causing various havoc.

Just wanted to report that this patch solves a kernel oops on 2.6.17.11
while trying to change name of a VLAN device created on top of a bonding
one.

Thanks,

-- 
Pawel Foremski  
[email-masked]

-- 
VGER BF report: U 0.687767